registerOutputEvent(fxDTSBrick, "setRandomItem", "");
registerOutputEvent(fxDTSBrick, "setRandomEmitter", "");
registerOutputEvent(fxDTSBrick, "setRandomLight", "");
registerOutputEvent(fxDTSBrick, "setRandomMusic", "");
registerOutputEvent(fxDTSBrick, "setRandomPrintCount", "");
registerOutputEvent(fxDTSBrick, "playRandomSound", "");
registerOutputEvent(Player, "addRandomItem", "");
function fxDtsBrick::setRandomColor(%this,%client)
{
   %this.setcolor(getColorIDTable(getRandom(0,64)));
}

function fxDtsBrick::setRandomPrintCount(%this,%client)
{
   %this.setPrintCount(getRandom(0,9));
}

function fxDtsBrick::setRandomMusic(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "AudioProfile" && %obj.uiName !$= "")
         %sound[%soundCount++] = %obj;
   }
   %randomsound = getRandom(0,%soundCount);
   %this.setMusic(%sound[%randomsound]);
}

function fxDtsBrick::setRandomItem(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "ItemData" && %obj.uiName !$= "")
         %item[%itemCount++] = %obj;
   }
   %randomitem = getRandom(0,%itemCount);
   %this.setItem(%item[%randomitem]);
}

function fxDtsBrick::setRandomEmitter(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "ParticleEmitterData")
         %emitter[%emitterCount++] = %obj;
   }
   %randomemitter = getRandom(0,%emitterCount);
   %this.setEmitter(%emitter[%randomemitter]);
}

function fxDtsBrick::setRandomLight(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "fxLightData")
         %light[%lightCount++] = %obj;
   }
   %randomlight = getRandom(0,%lightCount);
   %this.setLight(%light[%randomlight]);
}

function fxDtsBrick::playRandomSound(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "AudioProfile")
         %sound[%soundCount++] = %obj;
   }
   %randomsound = getRandom(0,%soundCount);
   %this.playSound(%sound[%randomsound]);
}

function Player::addRandomItem(%player,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "ItemData" && %obj.uiName !$= "")
         %item[%itemCount++] = %obj;
   }
   %randomitem = getRandom(0,%itemCount);
   if(%player.tool[0] $= %item[%randomitem] || %player.tool[1] $= %item[%randomitem] || %player.tool[2] $= %item[%randomitem] || %player.tool[3] $= %item[%randomitem] || %player.tool[4] $= %item[%randomitem])
   {
      return;
   }
   for(%i=0;%i<5;%i++)
   {
      %tool = %player.tool[%i];
      if(%tool == 0)
      {
         %player.tool[%i] = %item[%randomitem];
         %player.weaponCount++;
         messageClient(%client,'MsgItemPickup','',%i,%item[%randomitem]);
         break;
      }
   }
}